using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Echo.UserInterface.Backend;
using SDL2;
using skyscraper8.UI.ImGuiForms;
using testdrid;
using testdrid.SdlWrapper;

namespace skyscraper8.UI.ImGui.Forms
{
	internal class SdlTestWindow : SdlWindow
	{
		private Random rng;
		public SdlTestWindow(ImGuiDevice imGuiDevice) : base(imGuiDevice, 320, 240)
		{
			rng = new Random();
		}

		protected override void RenderInternal(Texture surface)
		{
			byte[] buffer = new byte[3];
			rng.NextBytes(buffer);

			surface.SetPixel(rng.Next(320), rng.Next(240), 255, buffer[0], buffer[1], buffer[2]);
		}
	}
}
